hoauth2-2.10.0: Haskell OAuth2 authentication client

Safe Haskell | Safe-Inferred
Language | Haskell2010

Network.OAuth2.Experiment.Flows.AuthorizationRequest

Synopsis

- data AuthorizationRequestParam = AuthorizationRequestParam {
  - arScope :: Set Scope
  - arState :: AuthorizeState
  - arClientId :: ClientId
  - arRedirectUri :: Maybe RedirectUri
  - arResponseType :: ResponseType
  - arExtraParams :: Map Text Text
  }
- class HasAuthorizeRequest a where
  - mkAuthorizationRequestParam :: a -> AuthorizationRequestParam
- mkAuthorizationRequest :: HasAuthorizeRequest a => IdpApplication i a -> URI
- class HasAuthorizeRequest a => HasPkceAuthorizeRequest a where
  - mkPkceAuthorizeRequestParam :: MonadIO m => a -> m (AuthorizationRequestParam, CodeVerifier)
- mkPkceAuthorizeRequest :: (MonadIO m, HasPkceAuthorizeRequest a) => IdpApplication i a -> m (URI, CodeVerifier)

# Documentation

data AuthorizationRequestParam Source #

Constructors

AuthorizationRequestParam |

Fields

- arScope :: Set Scope
- arState :: AuthorizeState
- arClientId :: ClientId
- arRedirectUri :: Maybe RedirectUri
- arResponseType :: ResponseType

  It could be optional there is only one redirect_uri registered. See: https://www.rfc-editor.org/rfc/rfc6749#section-3.1.2.3

- arExtraParams :: Map Text Text

#### Instances

Instances details

ToQueryParam AuthorizationRequestParam Source # |
Instance details Defined in Network.OAuth2.Experiment.Flows.AuthorizationRequest Methods toQueryParam :: AuthorizationRequestParam -> Map Text Text Source #

class HasAuthorizeRequest a where Source #

Methods

mkAuthorizationRequestParam :: a -> AuthorizationRequestParam Source #

Constructs Authorization Code request parameters | https://www.rfc-editor.org/rfc/rfc6749#section-4.1.1

#### Instances

Instances details

HasAuthorizeRequest AuthorizationCodeApplication Source # |
Instance details Defined in Network.OAuth2.Experiment.Grants.AuthorizationCode Methods mkAuthorizationRequestParam :: AuthorizationCodeApplication -> AuthorizationRequestParam Source #

mkAuthorizationRequest :: HasAuthorizeRequest a => IdpApplication i a -> URI Source #

Constructs Authorization Code request URI https://www.rfc-editor.org/rfc/rfc6749#section-4.1.1

class HasAuthorizeRequest a => HasPkceAuthorizeRequest a where Source #

https://datatracker.ietf.org/doc/html/rfc7636

Methods

mkPkceAuthorizeRequestParam :: MonadIO m => a -> m (AuthorizationRequestParam, CodeVerifier) Source #

#### Instances

Instances details

HasPkceAuthorizeRequest AuthorizationCodeApplication Source # |
Instance details Defined in Network.OAuth2.Experiment.Grants.AuthorizationCode Methods mkPkceAuthorizeRequestParam :: MonadIO m => AuthorizationCodeApplication -> m (AuthorizationRequestParam, CodeVerifier) Source #

mkPkceAuthorizeRequest :: (MonadIO m, HasPkceAuthorizeRequest a) => IdpApplication i a -> m (URI, CodeVerifier) Source #

Constructs Authorization Code (PKCE) request URI and the Code Verifier. https://datatracker.ietf.org/doc/html/rfc7636